Subject: Re: bug#39452: [PATCH] vc-git-state fails for filenames with wildcards

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Feb 2020 09:57:54 +0200

> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 7 Feb 2020 02:00:38 +0300
> 
> I wonder how many other backends commands are broken for files like 
> that: we basically never shell-quote file names.

Whenever we run commands via the shell, the prudent thing is to always
quote file names (and in general any argument that might include
wildcard characters).  One advantage of call-process is that you don't
have to do that.